{{! template-lint-disable no-invalid-interactive }}
<Container
  @value={{this.value.container}}
  @deviceSize={{@deviceSize}}
  @id={{this.elementId}}
  class="picture-with-options {{page-col-class this.containerOptions deviceSize=@deviceSize}} {{if @onClick 'selectable'}} {{if (or this.isLoaded this.isReadyOnInit) 'loaded'}}"
  {{did-insert this.watchSize}}
  {{did-insert this.setupLoading}}
  {{on "click" this.handleClick}}
  style={{this.aspectRationStyle}}

  data-type="picture"
  data-editor="picture-with-options"

  {{on "props-update" this.updateProps}}
  ...attributes
>
  <div class="picture-hash-container {{this.pictureClasses}}">
    <div class="picture-hash" style={{this.hashStyle}}></div>
  </div>

  {{#if @src}}
    <img alt={{@name}} src={{this.url}} class="{{this.pictureClasses}} {{unless this.isAutoSize 'd-none'}}" {{on "load" this.onImageLoad}} {{did-insert this.watchSize}} />

    {{#unless this.isAutoSize}}
      <div class="picture-bg {{this.pictureClasses}}" style={{this.style}} {{did-insert this.watchSize}}></div>
    {{/unless}}
  {{/if}}

  <div class="">
    {{#if this.showAttributions}}
      {{#if @name}}
        <MarkDown class="picture-name" @value={{@name}} />
      {{/if}}

      {{#if @meta.attributions}}
        <MarkDown class="picture-attributions" @value={{@meta.attributions}} />
      {{/if}}
    {{/if}}
  </div>

  {{yield}}
</Container>

{{#if this.customStyle}}
  <ResponsiveStyle @deviceSize={{@deviceSize}} @selector="#{{this.elementId}} {{if this.isAutoSize "img" ".picture-bg"}},#{{this.elementId}} .picture-hash-container" @style={{this.customStyle}} />
{{/if}}